<?php

class ApiService_Lytex_Pagamentos {

	public function __construct() {
		if ( ! defined( 'DEBUG_REQUESTS' ) ) {
			define( 'DEBUG_REQUESTS', false );
		}

		if ( ! defined( 'CACHE_REQUESTS_SECONDS' ) ) {
			define( 'CACHE_REQUESTS_SECONDS', 900 );
		}
	}

	function post( $api, $path, $body = [], $headers = [], $params = [], $json_data = true, $timeout = 5 ) {
        
		if ( DEBUG_REQUESTS ) {
			$time = microtime( 1 );
		}

		if ( $api === null ) {
			die( "API $api not defined" );
		}

		$url = $api . $path . http_build_query( $params, '', '&' );
        
		$api_response = wp_remote_post( $url, [
			'sslverify' => false,
			'headers'   => $json_data ? array_merge( [ 'Content-Type' => 'application/json; charset=utf-8' ], $headers ) : $headers,
			'timeout'   => $timeout,
			'body'      => json_encode( $body ),
			'method'    => 'POST'
		] );

		$response = (object) [
			'status'  => wp_remote_retrieve_response_code( $api_response ),
			'headers' => wp_remote_retrieve_headers( $api_response ),
			'data'    => $json_data ? @json_decode( wp_remote_retrieve_body( $api_response ) ) : wp_remote_retrieve_body( $api_response )
		];


		if ( DEBUG_REQUESTS ) {
			echo ' <blockquote>';
			echo ' <strong>Request </strong >: ' . $url . ' (' . $response->status . ') <br/>';
			echo ' <strong>Tempo </strong>: ', ( microtime( 1 ) - $time ), "s";
			echo ' </blockquote> ';
		}

		return $response;
	}



}
