<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 * 
 * @link                https://www.lyratec.com.br
 * @since               1.0.1
 * @package             Lytex_Enrolment_Form
 * 
 * 
 * @wordpress-plugin
 * Plugin Name:         Lytex Pagamentos
 * Description:         Adicione facilmente opções de pagamento do Lytex à sua loja do WooCommerce.
 * Version:             1.0.1
 * Author:              Lytex
 * Author URI:          https://Lytex.com.br
 * License:             GPL-2.0+
 * License URI:         http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:         Lytex-pagamentos-para-woocommerce
 * Domain Path:         /languages
 * Requires PHP:        7.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Lytex Payments
 */
function Lytex_payments_init() {
	include_once dirname( __FILE__ ) . '/class-lytex-payments.php';
    include_once dirname( __FILE__ ) . '/includes/function.php';
	define( 'LYTEX_PAYMENTS_MAIN_FILE', __FILE__ );
	define( 'LYTEX_PAYMENTS_VERSION', '1.0.1' );
    define('LYTEX_MAIN_PATH', dirname( __FILE__ ));
}

// Verifica a versão do PHP
if (version_compare(phpversion(), '7.0.0', '>=')) {
	Lytex_payments_init();		
} else {
	?>
<div class="error"><p>The minimum PHP version compatible with Lytex Pagamentos plugin is 7.0.0. Please, update your PHP version</p></div>
	<?php
}
